pub const Color = struct { r: u8, g: u8, b: u8 };

fn h(u: usize) Color {
    return .{ .r = (u >> 16) & 0xFF, .g = (u >> 8) & 0xFF, .b = u & 0xFF };
}

// not doing proper enum array rn
pub const FG = [_]Color{
    h(0x66ff66), // keyword
    h(0x116611), // identifier
    h(0xff7611), // quoted
    h(0x6666ff), // number
    h(0x113311), // sym
    h(0x1d0878), // pp
    h(0x888888), // comment
    h(0x111111), // ignore
};

pub const BG = Color{ .r = 255, .g = 255, .b = 255 };
