const tok = @import("tok.zig");
const RegexTokenizer = tok.RegexTokenizer;
const Token = tok.Token;

var cache: ?RegexTokenizer = null;
pub fn tokenizer() !RegexTokenizer {
    cache = cache orelse try RegexTokenizer.init(&.{
        // zig fmt: off
        .{.identifier, "[^ \n\r\t]+"},
        .{.ignore, "[ \n\r\t]+"},
    });
    return cache.?;
}